<?php
namespace Gath\Api;

/**
 * Class ResultSet
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
class ResultSet implements ResultSetInterface
{
    /** @var array */
    private $results;
    /** @var int */
    private $totalCount;

    /**
     * @return array
     */
    public function getResults(): array
    {
        return $this->results;
    }

    /**
     * @return int
     */
    public function getTotalCount(): int
    {
        return $this->totalCount;
    }
}