<?php
namespace Gath\Api;

/**
 * Interface ResultSetInterface
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
interface ResultSetInterface extends ResponseInterface
{
    /**
     * @return array
     */
    public function getResults(): array;

    /**
     * @return int
     */
    public function getTotalCount(): int;
}