<?php
namespace GathTest\Mock;

use Zend\Hydrator\NamingStrategy\MapNamingStrategy;
use Zend\Hydrator\ReflectionHydrator;

final class PriceInfoHydrator extends ReflectionHydrator
{

    /**
     * PriceInfoHydrator constructor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'ProductId' => 'id',
            'ProductCode' => 'code',
            'PurchaseStep' => 'step',
            'Stock' => 'stock',
        ]));
    }
}