<?php
namespace Gath\Hydrator;

use Zend\Hydrator\NamingStrategy\MapNamingStrategy;
use Zend\Hydrator\ReflectionHydrator;

/**
 * Class EndpointHydrator
 *
 * @package Gath\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class ApiEndpointHydrator extends ReflectionHydrator
{
    /**
     * EndpointHydrator constructor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'Name' => 'name',
            'Path' => 'path',
        ]));
    }
}