<?php
namespace Gath\Hydrator;

use Zend\Hydrator\NamingStrategy\MapNamingStrategy;
use Zend\Hydrator\ReflectionHydrator;

/**
 * Class ResultSetHydrator
 *
 * @package Gath\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class ResultSetHydrator extends ReflectionHydrator
{
    /**
     * ResultSetHydrator constructor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'Results' => 'results',
            'RecordCount' => 'totalCount',
        ]));
    }
}